## pegjs 0.7.0

=== Makefile ===
# ===== Directories =====

SRC_DIR       = src
BIN_DIR       = bin
TEST_DIR      = test
BENCHMARK_DIR = benchmark
EXAMPLES_DIR  = examples
LIB_DIR       = lib
DIST_DIR      = dist
DIST_WEB_DIR  = $(DIST_DIR)/web
DIST_NODE_DIR = $(DIST_DIR)/node

# ===== Files =====

PARSER_SRC_FILE = $(SRC_DIR)/parser.pegjs
PARSER_OUT_FILE = $(SRC_DIR)/parser.js

PEGJS_SRC_FILE = $(SRC_DIR)/peg.js
PEGJS_LIB_FILE = $(LIB_DIR)/peg.js

PACKAGE_JSON_SRC_FILE  = package.json
PACKAGE_JSON_DIST_FILE = $(DIST_NODE_DIR)/package.json

PEGJS_DIST_FILE_DEV = $(DIST_WEB_DIR)/peg-$(PEGJS_VERSION).js
PEGJS_DIST_FILE_MIN = $(DIST_WEB_DIR)/peg-$(PEGJS_VERSION).min.js

CHANGELOG_FILE = CHANGELOG
LICENSE_FILE   = LICENSE
README_FILE    = README.md
VERSION_FILE   = VERSION

# ===== Executables =====

JSHINT        ?= jshint
UGLIFYJS      ?= uglifyjs
PEGJS         = $(BIN_DIR)/pegjs
TEST_RUN      = $(TEST_DIR)/run
BENCHMARK_RUN = $(BENCHMARK_DIR)/run

# ===== Variables =====

PEGJS_VERSION = `cat $(VERSION_FILE)`

DIST_NAME = pegjs
DIST_VERSION = $(PEGJS_VERSION)
DIST_BASE = $(DIST_NAME)-$(DIST_VERSION)

# ===== Preprocessor =====

# A simple preprocessor that recognizes two directives:
#
#   @VERSION          -- insert PEG.js version
#   @include "<file>" -- include <file> here
#
# This could have been implemented many ways. I chose Perl because everyone will
# have it.
PREPROCESS=perl -e '                                                           \
  use strict;                                                                  \
  use warnings;                                                                \
                                                                               \
  use File::Basename;                                                          \
                                                                               \
  open(my $$f, "$(VERSION_FILE)") or die "Can\x27t open $(VERSION_FILE): $$!"; \
  my $$PEGJS_VERSION = <$$f>;                                                  \
  close($$f);                                                                  \
  chomp($$PEGJS_VERSION);                                                      \
                                                                               \
  sub preprocess {                                                             \
    my $$file = shift;                                                         \
    my $$output = "";                                                          \
                                                                               \
    open(my $$f, $$file) or die "Can\x27t open $$file: $$!";                   \
    while(<$$f>) {                                                             \
      s/\@VERSION/$$PEGJS_VERSION/g;                                           \
                                                                               \
      if (/^\s*\/\/\s*\@include\s*"([^"]*)"\s*$$/) {                           \
        $$output .= preprocess(dirname($$file) . "/" . $$1);                   \
        next;                                                                  \
      }                                                                        \
                                                                               \
      $$output .= $$_;                                                         \
    }                                                                          \
    close($$f);                                                                \
                                                                               \
    return $$output;                                                           \
  }                                                                            \
                                                                               \
  print preprocess($$ARGV[0]);                                                 \
'

# ===== Targets =====

# Generate the grammar parser
parser:
	$(PEGJS) --export-var PEG.parser $(PARSER_SRC_FILE) $(PARSER_OUT_FILE)

# Build the PEG.js library
build:
	mkdir -p $(LIB_DIR)
	$(PREPROCESS) $(PEGJS_SRC_FILE) > $(PEGJS_LIB_FILE)

# Remove built PEG.js library (created by "build")
clean:
	rm -rf $(LIB_DIR)

# Prepare dstribution files
dist: build
	# Web
	mkdir -p $(DIST_WEB_DIR)
	cp $(PEGJS_LIB_FILE) $(PEGJS_DIST_FILE_DEV)
	$(UGLIFYJS) --ascii -o $(PEGJS_DIST_FILE_MIN) $(PEGJS_LIB_FILE)

	# Node.js
	mkdir -p $(DIST_NODE_DIR)
	cp -r               \
	  $(LIB_DIR)        \
	  $(BIN_DIR)        \
	  $(EXAMPLES_DIR)   \
	  $(CHANGELOG_FILE) \
	  $(LICENSE_FILE)   \
	  $(README_FILE)    \
	  $(VERSION_FILE)   \
	  $(DIST_NODE_DIR)
	$(PREPROCESS) $(PACKAGE_JSON_SRC_FILE) > $(PACKAGE_JSON_DIST_FILE)

# Remove distribution file (created by "dist")
distclean:
	rm -rf $(DIST_DIR)

# Run the test suite
test: build
	$(TEST_RUN)

# Run the benchmark suite
benchmark: build
	$(BENCHMARK_RUN)

# Run JSHint on the source
hint: build
	$(JSHINT)               \
	  $(SRC_DIR)/*.js       \
	  $(TEST_DIR)/*.js      \
	  $(TEST_RUN)           \
	  $(BENCHMARK_DIR)/*.js \
	  $(BENCHMARK_RUN)      \
	  $(PEGJS)

# Make a distribution tarball for packaging
# Note: we don't currently include the benchmark tree in the dist tarball
# because it contains non-human-readable jQuery artifacts and this can
# be an impediment to distribution in free software archives such as
# Debian and Fedora.
# Run the benchmark from git if required.
srcdist:
	-rm -rf $(DIST_BASE)
	mkdir $(DIST_BASE)
	cp -r bin CHANGELOG examples lib LICENSE Makefile package.json README.md src test tools VERSION $(DIST_BASE)
	tar czf $(DIST_BASE).tar.gz $(DIST_BASE)


.PHONY: test benchmark hint parser build clean dist distclean
.SILENT: test benchmark hint parser build clean dist distclean

=== debian/changelog ===
pegjs (0.7.0-1) unstable; urgency=low

  * Initial upload (Closes: #720949)

 -- Daniel Pocock <daniel@pocock.com.au>  Mon, 26 Aug 2013 16:13:32 +0200

=== debian/control ===
Source: pegjs
Section: web
Priority: optional
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: Daniel Pocock <daniel@pocock.com.au>
Build-Depends: debhelper (>= 9.0.0), node-uglify
Standards-Version: 3.9.4
Homepage: http://pegjs.majda.cz
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-javascript/pegjs.git
Vcs-Git: git://git.debian.org/git/pkg-javascript/pegjs.git

Package: node-peg
Architecture: all
Depends: ${misc:Depends}, nodejs (>= 0.6.19~dfsg1-3)
Provides: pegjs
Description: JavaScript parser generator
 PEG.js is a simple parser generator for JavaScript that produces
 fast parsers with excellent error reporting. You can use it to process
 complex data or computer languages and build transformers, interpreters,
 compilers and other tools easily.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --builddirectory=.

override_dh_auto_build:
	make dist

# no make install support
override_dh_auto_install:
	true

## pegjs 0.10.0

=== Makefile ===
# ===== Variables =====

PEGJS_VERSION = `cat $(VERSION_FILE)`

# ===== Directories =====

SRC_DIR              = src
LIB_DIR              = lib
BIN_DIR              = bin
BROWSER_DIR          = browser
SPEC_DIR             = spec
BENCHMARK_DIR        = benchmark
NODE_MODULES_DIR     = node_modules
NODE_MODULES_BIN_DIR = $(NODE_MODULES_DIR)/.bin

# ===== Files =====

MAIN_FILE = $(LIB_DIR)/peg.js

PARSER_SRC_FILE     = $(SRC_DIR)/parser.pegjs
PARSER_OUT_FILE     = $(LIB_DIR)/parser.js
PARSER_OUT_FILE_NEW = $(LIB_DIR)/parser.js.new

BROWSER_FILE_DEV = $(BROWSER_DIR)/peg-$(PEGJS_VERSION).js
BROWSER_FILE_MIN = $(BROWSER_DIR)/peg-$(PEGJS_VERSION).min.js

VERSION_FILE = VERSION

# ===== Executables =====

ESLINT        = $(NODE_MODULES_BIN_DIR)/eslint
BROWSERIFY    = $(NODE_MODULES_BIN_DIR)/browserify
UGLIFYJS      = $(NODE_MODULES_BIN_DIR)/uglifyjs
JASMINE_NODE  = $(NODE_MODULES_BIN_DIR)/jasmine-node
PEGJS         = $(BIN_DIR)/pegjs
BENCHMARK_RUN = $(BENCHMARK_DIR)/run

# ===== Targets =====

# Default target
all: browser

# Generate the grammar parser
parser:
	# We need to prepend ESLint header to the generated parser file because we
	# don't want the various unused variables there to get reported. This is a bit
	# tricky because the file is used when generating its own new version, which
	# means we can't start writing the header there until we call $(PEGJS).

	$(PEGJS) -o $(PARSER_OUT_FILE_NEW) $(PARSER_SRC_FILE)

	rm -f $(PARSER_OUT_FILE)

	echo '/* eslint-env node, amd */'     >> $(PARSER_OUT_FILE)
	echo '/* eslint no-unused-vars: 0 */' >> $(PARSER_OUT_FILE)
	echo                                  >> $(PARSER_OUT_FILE)
	cat $(PARSER_OUT_FILE_NEW)            >> $(PARSER_OUT_FILE)

	rm $(PARSER_OUT_FILE_NEW)

# Build the browser version of the library
browser:
	mkdir -p $(BROWSER_DIR)

	rm -f $(BROWSER_FILE_DEV)
	rm -f $(BROWSER_FILE_MIN)

	echo '/*'                                                                          >> $(BROWSER_FILE_DEV)
	echo " * PEG.js $(PEGJS_VERSION)"                                                  >> $(BROWSER_FILE_DEV)
	echo ' *'                                                                          >> $(BROWSER_FILE_DEV)
	echo ' * http://pegjs.org/'                                                        >> $(BROWSER_FILE_DEV)
	echo ' *'                                                                          >> $(BROWSER_FILE_DEV)
	echo ' * Copyright (c) 2010-2016 David Majda'                                      >> $(BROWSER_FILE_DEV)
	echo ' * Licensed under the MIT license.'                                          >> $(BROWSER_FILE_DEV)
	echo ' */'                                                                         >> $(BROWSER_FILE_DEV)

	$(BROWSERIFY) --standalone peg $(MAIN_FILE) >> $(BROWSER_FILE_DEV)

	$(UGLIFYJS)                 \
	  --mangle                  \
	  --compress warnings=false \
	  --comments /Copyright/    \
	  -o $(BROWSER_FILE_MIN)    \
	  $(BROWSER_FILE_DEV)

# Remove browser version of the library (created by "browser")
browserclean:
	rm -rf $(BROWSER_DIR)

# Run the spec suite
spec:
	$(JASMINE_NODE) --verbose $(SPEC_DIR)

# Run the benchmark suite
benchmark:
	$(BENCHMARK_RUN)

# Run ESLint on the source
lint:
	$(ESLINT)                                                                \
	  `find $(LIB_DIR) -name '*.js'`                                         \
	  `find $(SPEC_DIR) -name '*.js' -and -not -path '$(SPEC_DIR)/vendor/*'` \
	  $(BENCHMARK_DIR)/*.js                                                  \
	  $(BENCHMARK_RUN)                                                       \
	  $(PEGJS)

.PHONY:  all parser browser browserclean spec benchmark lint
.SILENT: all parser browser browserclean spec benchmark lint

=== debian/changelog ===
pegjs (0.10.0-1) unstable; urgency=medium

  * Bump debhelper compatibility level to 12
  * Declare compliance with policy 4.5.0
  * Add "Rules-Requires-Root: no"
  * Change section to javascript
  * Add debian/gbp.conf
  * Add upstream/metadata
  * Update VCS fields to salsa
  * Fix copyright
  * New upstream version 0.10.0 (Closes: #955716)
  * Set myself as uploader (Closes: #953505)
  * refresh patches
  * Use pkg-js-tools auto install
  * Install browser files (See: #722488)
  * Fix homepage
  * Update lintian overrides

 -- Xavier Guimard <yadd@debian.org>  Sat, 04 Apr 2020 12:58:52 +0200

pegjs (0.7.0-2) unstable; urgency=medium

  * Rename binary package to node-pegjs (Closes: #747659)

 -- Daniel Pocock <daniel@pocock.pro>  Thu, 11 Sep 2014 14:11:27 +0200

=== debian/control ===
Source: pegjs
Section: javascript
Priority: optional
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: Xavier Guimard <yadd@debian.org>
Build-Depends: debhelper-compat (= 12)
 , node-browserify-lite
 , pkg-js-tools (>= 0.9.20~)
 , uglifyjs
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/js-team/pegjs
Vcs-Git: https://salsa.debian.org/js-team/pegjs.git
Homepage: https://github.com/dmajda/pegjs
Testsuite: autopkgtest-pkg-nodejs
Rules-Requires-Root: no

Package: node-pegjs
Architecture: all
Depends: ${misc:Depends}
Provides: node-peg
 , pegjs
 , libjs-pegjs
 , nodejs
Description: JavaScript parser generator
 PEG.js is a simple parser generator for JavaScript that produces
 fast parsers with excellent error reporting. You can use it to process
 complex data or computer languages and build transformers, interpreters,
 compilers and other tools easily.

=== debian/watch ===
version=3
https://github.com/dmajda/pegjs/tags .*/archive/v?(\d[\d\.]+).tar.gz

## pegjs 0.10.0+~0.10.3

=== debian/changelog ===
pegjs (0.10.0+~0.10.3-2) unstable; urgency=medium

  * Fix bad Provides field

 -- Yadd <yadd@debian.org>  Sun, 12 Dec 2021 18:58:54 +0100

pegjs (0.10.0+~0.10.3-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Update watch file format version to 4
  * Apply multi-arch hints. + node-pegjs: Add Multi-Arch: foreign
  * Bump debhelper from old 12 to 13
  * Update pattern for GitHub archive URLs from /<org>/<repo>/tags
    page/<org>/<repo>/archive/<tag> -> /<org>/<repo>/archive/refs/tags/<tag>
  * Update standards version to 4.5.1, no changes needed

  [ Yadd ]
  * Update standards version to 4.6.0, no changes needed
  * Use dh-sequence-nodejs instead of pkg-js-tools
  * Embed typescript declarations and repack
  * Update lintian overrides
  * Update nodejs dependency to nodejs:any

 -- Yadd <yadd@debian.org>  Sat, 11 Dec 2021 08:29:36 +0100

pegjs (0.10.0-3) unstable; urgency=medium

  * Restore /usr/bin/pegjs (Closes: #959615)
  * Remove nodejs from dependencies and add javascript-common as recommended
    dependency (Closes: #722488)

 -- Xavier Guimard <yadd@debian.org>  Sun, 03 May 2020 16:01:16 +0200

pegjs (0.10.0-2) unstable; urgency=medium

  * Fix dependencies (Closes: #956507)

 -- Xavier Guimard <yadd@debian.org>  Sun, 12 Apr 2020 10:31:49 +0200

=== debian/control ===
Source: pegjs
Section: javascript
Priority: optional
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: Yadd <yadd@debian.org>
Build-Depends: debhelper-compat (= 13)
 , dh-sequence-nodejs
 , node-browserify-lite
 , uglifyjs
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/js-team/pegjs
Vcs-Git: https://salsa.debian.org/js-team/pegjs.git
Homepage: https://github.com/dmajda/pegjs
Testsuite: autopkgtest-pkg-nodejs
Rules-Requires-Root: no

Package: node-pegjs
Architecture: all
Depends: ${misc:Depends}
 , nodejs:any
Recommends: javascript-common
Provides: ${nodejs:Provides}
 , libjs-pegjs
 , pegjs
Multi-Arch: foreign
Description: JavaScript parser generator
 PEG.js is a simple parser generator for JavaScript that produces
 fast parsers with excellent error reporting. You can use it to process
 complex data or computer languages and build transformers, interpreters,
 compilers and other tools easily.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_build:
	mkdir browser
	browserify-lite ./lib/peg.js --outfile browser/parser.js
	uglifyjs browser/parser.js > browser/parser.min.js

=== debian/watch ===
version=4
https://github.com/dmajda/pegjs/tags .*/archive/refs/tags/v?(\d[\d\.]+).tar.gz group

# It is not recommended use npmregistry. Please investigate more.
# Take a look at https://wiki.debian.org/debian/watch/
opts="searchmode=plain,component=types-pegjs,ctype=nodejs,pgpmode=none,filenamemangle=s/^.*?(\d[\d\.-]*@ARCHIVE_EXT@)/node-types-pegjs-$1/" \
 https://registry.npmjs.org/@types/pegjs https://registry.npmjs.org/@types/pegjs/-/pegjs-([\d\.]+)@ARCHIVE_EXT@ group
